PayPal Plans to Block Access From Old Browsers

April 21, 2008

PayPal is planning to start blocking users to access its services if they have older versions of their browser that do not support anti-phishing features. This decision is part of the big strategy that the famous on-line payment system provider is pushing in order to protect users from phishing attacks that would compromise their account.

Read the rest of this entry »

Advertisements